package com.mvc.model.aihcxd;

import java.util.ArrayList;

public class AioOutModel {
    public int meter_type;//水表类型，0=数字+指针水表； 1=全指针水表；2=全数字水表；3=不是水表
    private double aiValue; //本次服务器AI识别结果
    private String outImagePath;//存放结果图片的绝对路径;    //
    private int numNumbers;//水表数字个数
    private double numberUnit;//水表最后一个数字单位
    private ArrayList<TargetBoxModel> finalList;//最终的数字目标列表
    private int serverAiValueIsOk;//本次服务器AI识别结果是否可靠；0=不可靠；1=可靠

    private int[][] debugInfo;//AI调试信息，值域是 0-255
    public AioOutModel() {
        this.meter_type=0;
        this.numNumbers=0;
        this.numberUnit=0.0;
        this.outImagePath = "";
        this.aiValue = 0.0;
        this.debugInfo = new int[][]{{88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88}, {88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88}};
        this.finalList = new ArrayList<TargetBoxModel>();
        this.serverAiValueIsOk =0;
    }
    public int getMeter_type() {
        return meter_type;
    }

    public void setMeter_type(int meter_type) {
        this.meter_type = meter_type;
    }

    public double getAiValue() {
        return aiValue;
    }

    public void setAiValue(double aiValue) {
        this.aiValue = aiValue;
    }

    public String getOutImagePath() {
        return outImagePath;
    }

    public void setOutImagePath(String outImagePath) {
        this.outImagePath = outImagePath;
    }

    public int getNumNumbers() {
        return numNumbers;
    }

    public void setNumNumbers(int numNumbers) {
        this.numNumbers = numNumbers;
    }

    public double getNumberUnit() {
        return numberUnit;
    }

    public void setNumberUnit(double numberUnit) {
        this.numberUnit = numberUnit;
    }

    public ArrayList<TargetBoxModel> getFinalList() {
        return finalList;
    }

    public void setFinalList(ArrayList<TargetBoxModel> finalList) {
        this.finalList = finalList;
    }

    public int getServerAiValueIsOk() {
        return serverAiValueIsOk;
    }

    public void setServerAiValueIsOk(int serverAiValueIsOk) {
        this.serverAiValueIsOk = serverAiValueIsOk;
    }

    public int[][] getDebugInfo() {
        return debugInfo;
    }

    public void setDebugInfo(int[][] debugInfo) {
        this.debugInfo = debugInfo;
    }
}
